<?php
error_reporting(0);
/*
'**************************************************************************************************
' 程序名称: CCTVAI开源音乐管理系统
' 官方网站: http://www.cctvai.com
' 联系 Q Q: 1542367792
' QQ交流群：136687984
' 版本：(终结版)
' 备注：未经书面授权，不得向任何第三方提供本软件系统！
' 功能，模板，插件，扩展，定制请联系QQ：1542367792
'**************************************************************************************************
*/
include "../include/config.inc.php";
include "../include/cctvai.function.php";

//程序目录
define('S_ROOT', substr(dirname(__FILE__), 0, -7));
$theurl = 'index.php';
$_SC[charset] = 'gbk';
$sqlfile = S_ROOT.'./install/sql-dftables.txt';
$formhash = formhash();

//变量
$step = empty($_GET['step'])?0:intval($_GET['step']);
$action = empty($_GET['action'])?'':trim($_GET['action']);
$nowarr = array('','','','','','','');

if(!file_exists($sqlfile)) {
	show_msg('./install目录下的数据结构文件[sql-dftables.txt]不存在，请上传后在执行安装。', 999);
}
$configfile = S_ROOT.'./include/config.inc.php';

//检查config.inc.php是否可写
if(!@$fp = fopen($configfile, 'a')) {
	show_msg("文件 $configfile 读写权限设置错误，请设置为可写，再执行安装程序");
} else {
	@fclose($fp);
}

$lockfile = S_ROOT.'./data/install.lock';
if(file_exists($lockfile)) {
	show_msg('警告！您已经安装过爱频道！<br>为了保证数据安全，请立即删除 ../install/index.php 文件！<br>如果您想重新安装爱频道，请删除 ../data/install.lock 文件！');
}

if(empty($step)) {

	show_header();

	//检查权限设置
	$checkok = true;
	$perms = array();
	if(!checkfdperm(S_ROOT.'./include/config.inc.php', 1)) {
		$perms['configinc'] = '<td class="w pdleft1">不可</td>';
		$checkok = false;
	} else {
		$perms['configinc'] = '<td class="w pdleft1">可写</td>';
	}
	if(!checkfdperm(S_ROOT.'./include/cctvai.config.php', 1)) {
		$perms['cctvaiconfig'] = '<td class="w pdleft1">不可</td>';
		$checkok = false;
	} else {
		$perms['cctvaiconfig'] = '<td class="w pdleft1">可写</td>';
	}
	if(!checkfdperm(S_ROOT.'./data/')) {
		$perms['cache'] = '<td class="w pdleft1">不可</td>';
		$checkok = false;
	} else {
		$perms['cache'] = '<td class="w pdleft1">可写</td>';
	}

	//安装阅读
	print<<<END


	</div>
	
	<div class="main">
	<div class="licenseblock">
	<div class="license">
	<h1>产品授权协议 适用于所有用户</h1>

	<p>版权所有 (c) 2014-2016 爱频道保留所有权利。</p>

	<p>感谢您选择爱频道。希望我们的努力能为您提供一个高效快速、强大的音乐系统解决方案。爱频道网址为 www.cctvai.com，产品官方讨论QQ群：136687984</p>

	<p>用户须知：本协议是您与爱频道之间关于您使用爱频道提供的软件产品及服务的法律协议。无论您是个人或组织、盈利与否、用途如何（包括以学习和研究为目的），均需仔细阅读本协议，包括免除或者限制爱频道的免责条款及对您的权利限制。请您审阅并接受或不接受本服务条款。如您不同意本服务条款及/或爱频道随时对其的修改，您应不使用或主动取消爱频道提供的产品。否则，您的任何对爱频道产品中的相关服务的注册、登陆、下载、查看等使用行为将被视为您对本服务条款全部的完全接受，包括接受爱频道对服务条款随时所做的任何修改。</p>

	<p>本服务条款一旦发生变更, 爱频道将在网页上公布修改内容。修改后的服务条款一旦在网站管理后台上公布即有效代替原来的服务条款。您可随时登陆爱频道官方论坛查阅最新版服务条款。如果您选择接受本条款，即表示您同意接受协议各项条件的约束。如果您不同意本服务条款，则不能获得使用本服务的权利。您若有违反本条款规定，爱频道有权随时中止或终止您对爱频道产品的使用资格并保留追究相关法律责任的权利。</p>

	<p>在理解、同意、并遵守本协议的全部条款后，方可开始使用爱频道产品。您可能与爱频道直接签订另一书面协议，以补充或者取代本协议的全部或者任何部分。</p>

	<p>爱频道拥有本软件的全部知识产权。本软件只供许可协议，并非出售。爱频道只允许您在遵守本协议各项条款的情况下复制、下载、安装、使用或者以其他方式受益于本软件的功能或者知识产权。</p>

	<h3>I. 协议许可的权利</h3>
	<ol>
	&nbsp;  <li>您可以在完全遵守本许可协议的基础上，将本软件应用于非商业用途，而不必支付软件版权许可费用。</li>
	&nbsp;  <li>您可以在协议规定的约束和限制范围内修改爱频道产品源代码(如果被提供的话)或界面风格以适应您的网站要求。</li>
	&nbsp;  <li>您拥有使用本软件构建的网站中全部会员资料、文章及相关信息的所有权，并独立承担与使用本软件构建的网站内容的审核、注意义务，确保其不侵犯任何人的合法权益，独立承担因使用爱频道软件和服务带来的全部责任，若造成爱频道或用户损失的，您应予以全部赔偿。</li>
	&nbsp;  <li>若您需将爱频道软件或服务用户商业用途，必须另行获得爱频道的书面许可，您在获得商业授权之后，您可以将本软件应用于商业用途，同时依据所购买的授权类型中确定的技术支持期限、技术支持方式和技术支持内容，自购买时刻起，在技术支持期限内拥有通过指定的方式获得指定范围内的技术支持服务。商业授权用户享有反映和提出意见的权力，相关意见将被作为首要考虑，但没有一定被采纳的承诺或保证。</li>
	&nbsp;  <li>您可以从爱频道提供的应用中心服务中下载适合您网站的应用程序，但应向应用程序开发者/所有者支付相应的费用。</li>
	</ol>

	<h3>II. 协议规定的约束和限制</h3>
	<ol>
	&nbsp;  <li>未获爱频道书面商业授权之前，不得将本软件用于商业用途（包括但不限于企业网站、经营性网站、以营利为目或实现盈利的网站）。购买商业授权请登陆www.cctvai.com参考相关说明，也可以发送邮件到1542367792@qq.com了解详情。</li>
	&nbsp;  <li>不得对本软件或与之关联的商业授权进行出租、出售、抵押或发放子许可证。</li>
	&nbsp;  <li>无论如何，即无论用途如何、是否经过修改或美化、修改程度如何，只要使用爱频道产品的整体或任何部分，未经书面许可，页面页脚处的爱频道产品名称和爱频道下属网站（www.cctvai.com） 的链接都必须保留，而不能清除或修改。</li>
	&nbsp;  <li>禁止在爱频道产品的整体或任何部分基础上以发展任何派生版本、修改版本或第三方版本用于重新分发。</li>
	&nbsp;  <li>您从应用中心下载的应用程序，未经应用程序开发者/所有者的书面许可，不得对其进行反向工程、反向汇编、反向编译等，不得擅自复制、修改、链接、转载、汇编、发表、出版、发展与之有关的衍生产品、作品等。</li>
	&nbsp;  <li>如果您未能遵守本协议的条款，您的授权将被终止，所许可的权利将被收回，同时您应承担相应法律责任。</li>
	</ol>

	<h3>III. 有限担保和免责声明</h3>
	<ol>
	&nbsp;  <li>本软件及所附带的文件是作为不提供任何明确的或隐含的赔偿或担保的形式提供的。</li>
	&nbsp;  <li>用户出于自愿而使用本软件，您必须了解使用本软件的风险，在尚未购买产品技术服务之前，我们不承诺提供任何形式的技术支持、使用担保，也不承担任何因使用本软件而产生问题的相关责任。</li>
	&nbsp;  <li>爱频道不对使用本软件构建的网站中或者论坛中的文章或信息承担责任，全部责任由您自行承担。</li>
	&nbsp;  <li>爱频道无法全面监控由第三方上传至应用中心的应用程序，因此不保证应用程序的合法性、安全性、完整性、真实性或品质等；您从应用中心下载应用程序时，同意自行判断并承担所有风险，而不依赖于爱频道。但在任何情况下，爱频道有权依法停止应用中心服务并采取相应行动，包括但不限于对于相关应用程序进行卸载，暂停服务的全部或部分，保存有关记录，并向有关机关报告。由此对您及第三人可能造成的损失，爱频道不承担任何直接、间接或者连带的责任。</li>
	&nbsp;  <li>爱频道对其提供的软件和服务之及时性、安全性、准确性不作担保，由于不可抗力因素、爱频道无法控制的因素（包括黑客攻击、停断电等）等造成软件使用和服务中止或终止，而给您造成损失的，您同意放弃追究爱频道责任的全部权利。</li>
	&nbsp;  <li>爱频道特别提请您注意，爱频道为了保障公司业务发展和调整的自主权，爱频道拥有随时经或未经事先通知而修改服务内容、中止或终止部分或全部软件使用和服务的权利，修改会公布于爱频道网站相关页面上，一经公布视为通知。 爱频道行使修改或中止、终止部分或全部软件使用和服务的权利而造成损失的，爱频道不需对您或任何第三方负责。</li>
	</ol>

	<p>有关爱频道产品最终用户授权协议、商业授权与技术服务的详细内容，均由爱频道独家提供。爱频道拥有在不事先通知的情况下，修改授权协议和服务价目表的权利，修改后的协议或价目表对自改变之日起的新授权用户生效。</p>

	<p>一旦您开始安装爱频道产品，即被视为完全理解并接受本协议的各项条款，在享有上述条款授予的权利的同时，受到相关的约束和限制。协议许可范围以外的行为，将直接违反本授权协议并构成侵权，我们有权随时终止授权，责令停止损害，并保留追究相关责任的权力。</p>

	<p>本许可协议条款的解释，效力及纠纷的解决，适用于中华人民共和国大陆法律。</p>

	<p>若您和爱频道之间发生任何纠纷或争议，首先应友好协商解决，协商不成的，您在此完全同意将纠纷或争议提交爱频道所在地人民法院管辖。爱频道拥有对以上各项条款内容的解释权及修改权。</p>

	<p>（正文完）</p>

	<p align="right">爱频道</p>
	</div>
	</div>
	<h2 class="title">环境检查</h2>
	<table class="tb" style="margin:20px 0 20px 55px;">
	<tr>
	<th>项目</th>
	<th class="padleft">所需配置</th>
	<th class="padleft">最佳配置</th>
	<th class="padleft">当前状态</th>
	</tr>
	<tr>
	<td>操作系统</td>
	<td class="padleft">不限制</td>
	<td class="padleft">类Unix</td>
	<td class="w pdleft1"></td>
	</tr>
	<tr>
	<td>PHP 版本</td>
	<td class="padleft">5.1</td>
	<td class="padleft">5.3</td>
	<td class="w pdleft1"></td>
	</tr>
	<tr>
	<td>附件上传</td>
	<td class="padleft">不限制</td>
	<td class="padleft">8M</td>
	<td class="w pdleft1"></td>
	</tr>
	<tr>
	<td>磁盘空间</td>
	<td class="padleft">12M</td>
	<td class="padleft">不限制</td>
	<td class="w pdleft1"></td>
	</tr>
	</table>
	<h2 class="title">目录、文件权限检查</h2>
	<table class="tb" style="margin:20px 0 20px 55px;width:90%;">
	<tr><th>目录文件</th><th class="padleft">当前状态</th></tr>
	<tr><td>./include/config.inc.php</td>$perms[configinc]</tr>
	<tr><td>./include/cctvai.config.php</td>$perms[cctvaiconfig]</tr>
	<tr><td>./data/</td>$perms[cache]</tr>
	</table>
	<h2 class="title">函数依赖性检查</h2>
	<table class="tb" style="margin:20px 0 20px 55px;width:90%;">
	<tr>
	<th>函数名称</th>
	
	<th class="padleft">建议</th>
	</tr>
	<tr>
	<td>mysql_connect()</td>
	
	<td class="padleft">无</td>
	</tr>
	<tr>
	<td>file_get_contents()</td>
	
	<td class="padleft">无</td>
	</tr>
	<tr>
	<td>allow_url_fopen()</td>
	
	<td class="padleft">无</td>
	</tr>
	</table>


      
END;

	if(!$checkok) {
		echo "<table><tr><td><b>出现问题:系统检测到以上目录或文件权限没有正确设置，强烈建议正常设置权限后再刷新本页面以便继续安装， [<a href=\"$theurl?step=1\">强制继续</a>]</td></tr></table>";
	} else {
		$ucapi = empty($_POST['ucapi'])?'/':$_POST['ucapi'];
		$ucfounderpw = empty($_POST['ucfounderpw'])?'':$_POST['ucfounderpw'];
		print <<<END
		<div style="float:right;">
		<form id="theform" method="post" action="$theurl?step=1">
		<a class="btn btn-primary" href="$theurl?step=1">已阅读，并同意安装！</a>
			<a class="btn btn-primary" onclick="windowclose();">不同意</a>
			<input type="hidden" name="ucapi" value="$ucapi" />
			<input type="hidden" name="ucfounderpw" value="$ucfounderpw" />
			<input type="hidden" name="formhash" value="$formhash">
		</form>
		</div><br /><br />
		</div>
END;
	}

	print<<<END
	<div class="row" id="tbl_readme" style="display:none;"><div class="panel"><div class="panel-heading"><h3>产品协议</h3></div><div class="panel-body"><pre><p>免费产品，随便开发，随便折腾。官方网站：http://cctvai.com/  联系QQ：1542367792</p></pre></div></div></div>
END;

	show_footer();

} elseif($step == 1) {

	show_header();
	//设置数据库配置
	print<<<END
	
	
</div>
	<div class="main">
	<form id="theform" method="post" name="themysql" action="$theurl?step=2">
	
	<div class="desc"><b>填写数据库信息</b></div>
	<table class="tb2">
	<tr><th class="tbopt" align="left">&nbsp;数据库主机:</th>
	<td><input type="text" name="sqlserver" value="localhost" size="35" class="txt">
	<td>数据库服务器地址，一般为 localhost</td>
	</tr>
	<tr><th class="tbopt" align="left">&nbsp;数据库名称:</th>
	<td><input type="text" name="sqldbname" value="test" size="35" class="txt"></td>
	<td>如果不存在，则会尝试自动创建</td>
	</tr>
	<tr><th class="tbopt" align="left">&nbsp;数据库用户名:</th>
	<td><input type="text" name="sqlname" value="root" size="35" class="txt"></td>
	<td></td>
	</tr>
	<tr><th class="tbopt" align="left">&nbsp;数据库密码:</th>
	<td><input type="password" name="sqlpass" value="" size="35" class="txt"></td>
	<td></td>
	</tr>
	</table>
	<div class="desc"><b>其它可选设置项</b></div>
	<table class="tb2">
	<tr><th class="tbopt" align="left">&nbsp;数据库表前缀:</th>
	<td><input type="text" name="sqltablename" value="cctvai_" readonly="readonly"  size="35" class="txt"></td>
	<td>不能为空，默认为cctvai_</td>
	</tr>
	</table>
	<div class="desc">数据库字符集：GBK</div>
	
	<table class="tb2">
	<tr><th class="tbopt" align="left">&nbsp;</th>
	<td><input type="submit" name="submitmysql" value="创建数据库"  onclick="return checkmysql();" style="margin: 10px 123px;" class="btn btn-primary"></td>
	<td></td>
	</tr>
	</table>
	</form>

END;
} elseif($step == 2) {
	$path=$_SERVER['PHP_SELF'];
	$path=ReplaceStr(strtolower($path),"install/index.php","");
	$server=SafeRequest("sqlserver","post");
	$dbname=SafeRequest("sqldbname","post");
	$id=SafeRequest("sqlname","post");
	$pwd=SafeRequest("sqlpass","post");
	$sqltablename=SafeRequest("sqltablename","post");

	//判断数据库
	$havedata = false;
	if(!@mysql_connect($server, $id, $pwd)) {
		show_msg('数据库连接信息填写错误，请确认！');
	}

	$config=file_get_contents("../include/config.inc.php");
	$config=preg_replace('/"cd_sqlservername","(.*?)"/','"cd_sqlservername","'.$server.'"',$config);
	$config=preg_replace('/"cd_sqldbname","(.*?)"/','"cd_sqldbname","'.$dbname.'"',$config);
	$config=preg_replace('/"cd_sqluserid","(.*?)"/','"cd_sqluserid","'.$id.'"',$config);
	$config=preg_replace('/"cd_sqlpwd","(.*?)"/','"cd_sqlpwd","'.$pwd.'"',$config);
	$config=preg_replace('/"cd_webpath","(.*?)"/','"cd_webpath","'.$path.'"',$config);
	$config=preg_replace('/"cd_tablename","(.*?)"/','"cd_tablename","'.$sqltablename.'"',$config);
	$config=preg_replace('/"cd_cookiepath","(.*?)"/','"cd_cookiepath","'.$path.'"',$config);
	$ifile = new iFile('../include/config.inc.php','w');
	$ifile->WriteFile($config,3);

	if(mysql_select_db($dbname)) {
		if(mysql_query("SELECT COUNT(*) FROM ".$sqltablename."dj")) {
			$havedata = true;
		}
	} else {
		if(!mysql_query("CREATE DATABASE `".$dbname."`")) {
show_msg('设定的数据库无权限操作，请先手工操作后，再执行安装程序');
		}
	}

	if($havedata) {
		show_msg('危险!指定的数据库已有数据，如果继续将会清空原有数据!', ($step+1));
	} else {
		show_msg('数据库配置成功，进入下一步操作', ($step+1), 1);
	}

} elseif($step == 3) {
	$path=$_SERVER['PHP_SELF'];
	$path=ReplaceStr(strtolower($path),"install/index.php","");
	$lnk=mysql_connect(cd_sqlservername,cd_sqluserid,cd_sqlpwd)
	or show_msg('数据库连接信息填写错误，请确认');
mysql_select_db(cd_sqldbname,$lnk)
	or show_msg('数据库连接信息填写错误，请确认');
	mysql_query("SET NAMES gb2312", $lnk);
	$sql=file_get_contents("sql-dftables.txt");
	$sql=ReplaceStr($sql,"cctvai_",cd_tablename);
	$sqlarr=explode(";",$sql);
	$datasql=file_get_contents("sql-dfdata.txt");
	$datasql=str_replace('localhost/',$_SERVER['HTTP_HOST'].$path,$datasql);
	$datasql=ReplaceStr($datasql,"cctvai_",cd_tablename);
	$dataarr=explode("-cctvai-",$datasql);

	for($i=0;$i<count($sqlarr)-1;$i++){
		mysql_query($sqlarr[$i]);
		$intablepost=strpos($sqlarr[$i],"(");
		$intable=substr($sqlarr[$i],0,$intablepost);
	}
	for($i=0;$i<count($dataarr);$i++){
		mysql_query($dataarr[$i]);
	}
	show_msg('数据表已经全部安装完成，进入下一步操作', ($step+1), 1);

} elseif ($step == 4) {
	$msg = <<<EOF
	<script type="text/javascript">
	function $(id) {
		return document.getElementById(id);
	}
	function showmessage(message) {
		document.getElementById('notice').innerHTML += message + '<br />';
	}
	function CheckForm(){
        	if (document.form2.username.value==""){
        		alert("后台用户不能为空！");
        		document.form2.username.focus();
        		return false;
        	}
        	if (document.form2.password.value==""){
        		alert("后台密码不能为空！");
        		document.form2.password.focus();
        		return false;
        	}
        	if (document.form2.password1.value==""){
        		alert("确认密码不能为空！");
        		document.form2.password1.focus();
        		return false;
        	}
        	if (document.form2.password1.value!==document.form2.password.value){
        		alert("两次密码不一样！");
        		return false;
        	}
        	if (document.form2.checkcode.value==""){
        		alert("认证码不能为空！");
        		document.form2.checkcode.focus();
        		return false;
        	}
	}
	</script>
    
    
 
	
    

	<form name="form2" method="post" action="$theurl?step=5">
	<div class="desc"><b>填写管理员信息</b></div>
	<table class="tb2">
	<tr><th class="tbopt" align="left">&nbsp;管理员帐号:</th>
	<td><input type="text" name="username" value=""  size="35" class="txt" onkeyup="value=value.replace(/[\W]/g,'')" onbeforepaste="clipboardData.setData('text',clipboardData.getData('text').replace(/[^\d]/g,''))"></td>
	<td>不允许设置特殊字符</td>
	</tr>
	<tr><th class="tbopt" align="left">&nbsp;管理员密码:</th>
	<td><input type="password" name="password" value="" size="35" class="txt">
  </td>
	<td>密码设置越复杂，安全级别越高</td>
	</tr>
	<tr><th class="tbopt" align="left">&nbsp;重复密码:</th>
	<td><input type="password" name="password1" value=""  value="" size="35" class="txt"></td>
	<td></td>
	</tr>
	<tr><th class="tbopt" align="left">&nbsp;认证码:</th>
	<td><input type="text" name="checkcode" value="cctvai.com" size="35" class="txt"readonly></td>
	<td>*默认验证码不可修改，安装后请到后台全局中修改验证码。</td>
	</tr>
	</table>
	<table class="tb2">
	<tr><th class="tbopt" align="left">&nbsp;</th>
	<td><input type="submit" class="btn btn-primary" style="margin: 10px 123px;" name="opensubmit" value="建立后台管理员" onClick="return CheckForm();">
	</td>
	<td></td>
	</tr>
	</table>
	</form>

EOF;
	show_msg($msg, 999);
} elseif ($step == 5) {

	$username=SafeRequest("username","post");
	$password=SafeRequest("password","post");
	$password1=SafeRequest("password1","post");
	$checkcode=SafeRequest("checkcode","post");
	if($password<>$password1){show_msg('出错了，两次密码不一样！');}
	$lnk=mysql_connect(cd_sqlservername,cd_sqluserid,cd_sqlpwd)
	or show_msg('数据库连接信息填写错误，请确认');
	mysql_select_db(cd_sqldbname,$lnk)
	or show_msg('数据库连接信息填写错误，请确认');	
	mysql_query("SET NAMES gb2312", $lnk);

	$config=file_get_contents("../include/cctvai.config.php");
	$config=preg_replace('/"CD_WebCodeB","(.*?)"/','"CD_WebCodeB","'.$checkcode.'"',$config);
	$config=preg_replace('/"CD_TempLateUrl","(.*?)"/','"CD_TempLateUrl","skin/index/html/"',$config);
	fwrite(fopen("../include/cctvai.config.php","wb"),$config);

	$sql="insert into `".tname('admin')."` (CD_AdminUserName,CD_AdminPassWord,CD_Permission,CD_LoginNum,CD_IsLock) values ('".$username."','".md5($password1)."','1,2,3,4,5,6,7,8,9,10,11','0','0')";
	$sqls="INSERT `".tname('user')."` (`cd_name`, `cd_nicheng`, `cd_password`, `cd_question`, `cd_answer`, `cd_email`, `cd_sex`, `cd_regdate`, `cd_loginip`, `cd_loginnum`, `cd_qq`, `cd_logintime`, `cd_grade`, `cd_lock`, `cd_points`, `cd_photo`, `cd_sign`, `cd_hidden`, `cd_birthprovince`, `cd_birthcity`, `cd_resideprovince`, `cd_residecity`, `cd_birthday`, `cd_vipindate`, `cd_vipenddate`, `cd_vipgrade`, `cd_viprank`, `cd_verified`, `cd_djmub`, `cd_ufav`, `cd_ufans`, `cd_hits`, `cd_isbest`, `cd_money`, `cd_weblock`, `cd_signd`, `cd_signdcumu`, `cd_signdtime`, `cd_skin`, `cd_friendnum`, `cd_creditname`, `cd_rank`, `cd_credit`, `cd_qqopenid`, `cd_checkmm`, `cd_checkmusic`, `cd_groupnum`, `cd_level`) VALUES
('".$username."', '管理员', '".substr(md5($password1),8,16)."', '', '', '196859961@qq.com', '帅哥', '".date('Y-m-d H:i:s')."', '127.0.0.1', 1, '196859961', '".date('Y-m-d H:i:s')."', 0, 0, 0, '', '', 0, '', 'cctvai', '', '', '1987-03-03', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '', 0, 0, 0, 1, 0, 0, 0, 0, 0, '0000-00-00 00:00:00', '5', 0, '', 0, 0, '', 0, 0, 0, 0)";
	if(mysql_query($sql)){
		if(mysql_query($sqls)){}
		fwrite(fopen("../data/install.lock","wb"),"");
		show_msg('
	
	</div>
                	<div class="alert alert-success">
                	    <p>恭喜，系统已安装成功！为了安全起见，请立即删除install文件夹！</p>
                        <p><a href="../">访问前台</a></p><a href="../">
                        </a><p><a href="../admin/"></a><a href="../admin/">访问后台(admin)</a></p><a href="../admin/">
                	</a></div><a href="../admin/">
                	</a><a class="btn btn-primary pull-right" href="../">完成创建</a>
                </div>', 999);
	}else{
		echo mysql_error();
	}
}

//页面头部
function show_header() {
	global $_SGLOBAL, $nowarr, $step, $theurl, $_SC;

	$nowarr[$step] = ' class="current"';
	print<<<END
<!DOCTYPE html>
<html>
 <head>
  <meta charset="gbk" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no" />
  <meta name="description" content="" />
  <meta name="author" content="" />
  <meta name="renderer" content="webkit|ie-comp|ie-stand" />
  <title>爱频道 安装</title>

    <link rel="stylesheet" href="images/style.css" type="text/css" media="all" />
     <style type="text/css">

.btn-primary:hover, .btn-primary:focus, .btn-primary:active, .btn-primary.active, .open .dropdown-toggle.btn-primary {
color: #fff;
background-color: #3276b1;
border-color: #285e8e;
}
.btn:hover, .btn:focus {
color: #fff;
text-decoration: none;
}
a:hover, a:focus {
color: #2a6496;
text-decoration: underline;
}
a:active, a:hover {
outline: 0;
}
.pull-right {
float: right!important;
}
.btn-primary {
color: #fff;
background-color: #428bca;
border-color: #357ebd;
}
.btn {
display: inline-block;
margin-bottom: 0;
font-weight: 400;
text-align: center;
vertical-align: middle;
cursor: pointer;
background-image: none;
border: 1px solid transparent;
white-space: nowrap;
padding: 2px 6px;
font-size: 14px;
line-height: 1.42857143;
border-radius: 4px;
-webkit-user-select: none;
-moz-user-select: none;
-ms-user-select: none;
user-select: none;
}
input.input1{border:1px solid #ccc;border-radius:2px;  color:#666;padding:7px 8px;padding:8px 8px 6px 8px\9; height:23px; line-height:23px; font-family:Tahoma, Geneva, sans-serif; font-weight:bold;
font-size:14px;width:200px;position: relative;}

    </style>
 </head>
 <body>
	<div class="container">
	<div class="header">
	<h1>爱频道 安装向导</h1>
	<span>爱频道 简体中文</span>
END;
}

//页面顶部
function show_footer() {
	print<<<END
<div class="footer">&copy;2014 - 2016 <a href="http://www.cctvai.com/" target="_blank">爱频道</a> Inc.</div>
	</div>
	</div>
	</body>
	</html>
END;
}

//显示
function show_msg($message, $next=0, $jump=0) {
	global $theurl;

	$nextstr = '';
	$backstr = '';

	if(empty($next)) {
		$backstr .= "<a href=\"javascript:history.go(-1);\" class=\"btn btn-primary\">返回上一步</a>";
	} elseif ($next == 999) {
	} else {
		$url_forward = "$theurl?step=$next";
		if($jump) {
			$nextstr .= "<a href=\"$url_forward\">请稍等...</a><script>setTimeout(\"window.location.href ='$url_forward';\", 1000);</script>";
		} else {
			$nextstr .= "<a href=\"$url_forward\"  class=\"btn btn-primary\">继续下一步</a>";
			$backstr .= "<a href=\"javascript:history.go(-1);\" class=\"btn btn-primary\">返回上一步</a>";
		}
	}

	show_header();
	print<<<END
	

	</div>
	<div class="main">
	
	<table class="tb2">
	<tr><td class="desc" align="center">$message</td>
	</tr>
	</table>
	<div class="btnbox marginbot">$backstr $nextstr</div>


END;
	show_footer();
	exit();
}

//检查权限
function checkfdperm($path, $isfile=0) {
	if($isfile) {
		$file = $path;
		$mod = 'a';
	} else {
		$file = $path.'./install_tmptest.data';
		$mod = 'w';
	}
	if(!@$fp = fopen($file, $mod)) {
		return false;
	}
	if(!$isfile) {
		//是否可以删除
		fwrite($fp, ' ');
		fclose($fp);
		if(!@unlink($file)) {
			return false;
		}
		//检测是否可以创建子目录
		if(is_dir($path.'./install_tmpdir')) {
			if(!@rmdir($path.'./install_tmpdir')) {
				return false;
			}
		}
		if(!@mkdir($path.'./install_tmpdir')) {
			return false;
		}
		//是否可以删除
		if(!@rmdir($path.'./install_tmpdir')) {
			return false;
		}
	} else {
		fclose($fp);
	}
	return true;
}

//产生form防伪码
function formhash() {
	global $_SGLOBAL, $_SCONFIG;

	if(empty($_SGLOBAL['formhash'])) {
		$hashadd = defined('IN_ADMINCP') ? 'Only For UCenter Home AdminCP' : '';
		$_SGLOBAL['formhash'] = substr(md5(substr($_SGLOBAL['timestamp'], 0, -7).'|'.$_SGLOBAL['supe_uid'].'|'.md5($_SCONFIG['sitekey']).'|'.$hashadd), 8, 8);
	}
	return $_SGLOBAL['formhash'];
}

//判断提交是否正确
function submitcheck($var) {
	if(!empty($_POST[$var]) && $_SERVER['REQUEST_METHOD'] == 'POST') {
		if((empty($_SERVER['HTTP_REFERER']) || preg_replace("/https?:\/\/([^\:\/]+).*/i", "\\1", $_SERVER['HTTP_REFERER']) == preg_replace("/([^\:]+).*/", "\\1", $_SERVER['HTTP_HOST'])) && $_POST['formhash'] == formhash()) {
			return true;
		} else {
			showmessage('submit_invalid');
		}
	} else {
		return false;
	}
}
?>